summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author B. Watson <yalhcru@gmail.com>2020-11-07 09:20:56 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2020-11-07 09:20:56 +0700
commitb7ce2b9accc2f83e5530dbc776b25cd4db9394c1 (patch)
treeb066e9e938b70f4a8feef615b66802c2f50dd0ec
parent47a78898453311a5e9a99c9fa5e5a6f0e39c63c5 (diff)
downloadslackbuilds-b7ce2b9accc2f83e5530dbc776b25cd4db9394c1.tar.gz
slackbuilds-b7ce2b9accc2f83e5530dbc776b25cd4db9394c1.tar.xz
accessiblity/mag: Added (screen magnifier for X).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--accessibility/mag/README4
-rw-r--r--accessibility/mag/mag.185
-rw-r--r--accessibility/mag/mag.SlackBuild66
-rw-r--r--accessibility/mag/mag.info10
-rw-r--r--accessibility/mag/mag.rst59
-rw-r--r--accessibility/mag/slack-desc19
6 files changed, 243 insertions, 0 deletions
diff --git a/accessibility/mag/README b/accessibility/mag/README
new file mode 100644
index 0000000000..bc58413145
--- /dev/null
+++ b/accessibility/mag/README
@@ -0,0 +1,4 @@
+mag (screen magnifier for X)
+
+mag is similar to xmag, but has the ability to move itself out of the
+way when not in use.
diff --git a/accessibility/mag/mag.1 b/accessibility/mag/mag.1
new file mode 100644
index 0000000000..230168b011
--- /dev/null
+++ b/accessibility/mag/mag.1
@@ -0,0 +1,85 @@
+.\" Man page generated from reStructuredText.
+.
+.TH MAG 1 "2020-11-01" "20100913" "SlackBuilds.org"
+.SH NAME
+mag \- dynamic X11 screen magnifier
+.
+.nr rst2man-indent-level 0
+.
+.de1 rstReportMargin
+\\$1 \\n[an-margin]
+level \\n[rst2man-indent-level]
+level margin: \\n[rst2man-indent\\n[rst2man-indent-level]]
+-
+\\n[rst2man-indent0]
+\\n[rst2man-indent1]
+\\n[rst2man-indent2]
+..
+.de1 INDENT
+.\" .rstReportMargin pre:
+. RS \\$1
+. nr rst2man-indent\\n[rst2man-indent-level] \\n[an-margin]
+. nr rst2man-indent-level +1
+.\" .rstReportMargin post:
+..
+.de UNINDENT
+. RE
+.\" indent \\n[an-margin]
+.\" old: \\n[rst2man-indent\\n[rst2man-indent-level]]
+.nr rst2man-indent-level -1
+.\" new: \\n[rst2man-indent\\n[rst2man-indent-level]]
+.in \\n[rst2man-indent\\n[rst2man-indent-level]]u
+..
+.\" RST source for mag(1) man page. Convert with:
+.
+.\" rst2man.py mag.rst > mag.1
+.
+.\" rst2man.py comes from the SBo development/docutils package.
+.
+.SH SYNOPSIS
+.sp
+mag [\fI\-d\fP] [\fI\-s | \-m | \-l\fP] [\fI\-z factor\fP] [\fI\-x Xcoord\fP] [\fI\-y Ycoord\fP]
+.SH DESCRIPTION
+.sp
+\fBmag\fP is a screen magnifier similar to xmag(1), but it has the
+ability to move itself out of the way when not in use.
+.sp
+With dynamic placement ([\fI\-d\fP] option), the magnifier will flee to the
+furthest corner away from the mouse. Without, you can grab it and move it as you like.
+.SH OPTIONS
+.INDENT 0.0
+.TP
+.B \-s
+small window.
+.TP
+.B \-m
+medium window.
+.TP
+.B \-l
+large window.
+.TP
+.B \-d
+Dynamic placement.
+.TP
+.BI \-z \ n
+Zoom factor.
+.TP
+.BI \-x \ Xcoord
+Original X placement.
+.TP
+.BI \-y \ Ycoord
+Original Y placement.
+.UNINDENT
+.SH AUTHORS
+.sp
+mag was written by Danny Chouinard.
+.sp
+This man page written for the SlackBuilds.org project
+by B. Watson, and is licensed under the WTFPL.
+.SH SEE ALSO
+.sp
+The mag homepage:
+.sp
+\fI\%https://sites.google.com/site/dannychouinard/Home/unix\-linux\-trinkets/little\-utilities/mag\-dynamic\-x11\-screen\-magnifier\fP
+.\" Generated by docutils manpage writer.
+.
diff --git a/accessibility/mag/mag.SlackBuild b/accessibility/mag/mag.SlackBuild
new file mode 100644
index 0000000000..76fd2d911a
--- /dev/null
+++ b/accessibility/mag/mag.SlackBuild
@@ -0,0 +1,66 @@
+#!/bin/sh
+
+# Slackware build script for mag
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+# VERSION comes from the last modified date on the homepage.
+
+PRGNAM=mag
+VERSION=${VERSION:-20100913}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+# Since it's just a single C source file, we don't have a
+# $TMP/$PRGNAM-$VERSION and don't need find/chown/chmod stuff.
+# In case you're wondering, -Wl,-s builds a stripped binary.
+rm -rf $PKG
+mkdir -p $PKG/usr/bin $OUTPUT
+gcc $SLKCFLAGS -Wl,-s -o $PKG/usr/bin/$PRGNAM $PRGNAM.c -lX11
+
+# Man page written by SlackBuild author. Please don't include mag.rst
+# in the package, it's the source for the man page only.
+mkdir -p $PKG/usr/man/man1
+gzip -9c < $CWD/$PRGNAM.1 > $PKG/usr/man/man1/$PRGNAM.1.gz
+
+# Include our own README.
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/README > $PKG/usr/doc/$PRGNAM-$VERSION/README
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/accessibility/mag/mag.info b/accessibility/mag/mag.info
new file mode 100644
index 0000000000..41ccad278d
--- /dev/null
+++ b/accessibility/mag/mag.info
@@ -0,0 +1,10 @@
+PRGNAM="mag"
+VERSION="20100913"
+HOMEPAGE="https://sites.google.com/site/dannychouinard/Home/unix-linux-trinkets/little-utilities/mag-dynamic-x11-screen-magnifier"
+DOWNLOAD="https://sites.google.com/site/dannychouinard/Home/unix-linux-trinkets/little-utilities/mag-dynamic-x11-screen-magnifier/mag.c"
+MD5SUM="9a659263b85a280f047c272820d2aa91"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
diff --git a/accessibility/mag/mag.rst b/accessibility/mag/mag.rst
new file mode 100644
index 0000000000..1a8381b551
--- /dev/null
+++ b/accessibility/mag/mag.rst
@@ -0,0 +1,59 @@
+.. RST source for mag(1) man page. Convert with:
+.. rst2man.py mag.rst > mag.1
+.. rst2man.py comes from the SBo development/docutils package.
+
+.. |version| replace:: 20100913
+.. |date| date::
+
+===
+mag
+===
+
+----------------------------
+dynamic X11 screen magnifier
+----------------------------
+
+:Manual section: 1
+:Manual group: SlackBuilds.org
+:Date: |date|
+:Version: |version|
+
+SYNOPSIS
+========
+
+mag [*-d*] [*-s | -m | -l*] [*-z factor*] [*-x Xcoord*] [*-y Ycoord*]
+
+DESCRIPTION
+===========
+
+**mag** is a screen magnifier similar to xmag(1), but it has the
+ability to move itself out of the way when not in use.
+
+With dynamic placement ([*-d*] option), the magnifier will flee to the
+furthest corner away from the mouse. Without, you can grab it and move it as you like.
+
+OPTIONS
+=======
+
+-s small window.
+-m medium window.
+-l large window.
+-d Dynamic placement.
+-z n Zoom factor.
+-x Xcoord Original X placement.
+-y Ycoord Original Y placement.
+
+AUTHORS
+=======
+
+mag was written by Danny Chouinard.
+
+This man page written for the SlackBuilds.org project
+by B. Watson, and is licensed under the WTFPL.
+
+SEE ALSO
+========
+
+The mag homepage:
+
+https://sites.google.com/site/dannychouinard/Home/unix-linux-trinkets/little-utilities/mag-dynamic-x11-screen-magnifier
diff --git a/accessibility/mag/slack-desc b/accessibility/mag/slack-desc
new file mode 100644
index 0000000000..f937d8cb9c
--- /dev/null
+++ b/accessibility/mag/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+mag: mag (screen magnifier for X)
+mag:
+mag: mag is similar to xmag, but has the ability to move itself out of
+mag: the way when not in use.
+mag:
+mag:
+mag:
+mag:
+mag:
+mag:
+mag: